> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Revert Terminate Warrant

> Clears the isTerminated flag on a warrant.

Not available to API keys yet. It will need `grants:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/revert-terminate-warrant
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/revert-terminate-warrant:
    post:
      operationId: revertTerminateWarrant
      summary: Revert Terminate Warrant
      description: |-
        Clears the isTerminated flag on a warrant.

        Not available to API keys yet. It will need `grants:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RevertTerminateWarrantRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RevertTerminateWarrantResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    RevertTerminateWarrantRequest:
      type: object
      properties:
        warrantID:
          type: string
          format: uuid
      required:
        - warrantID
    RevertTerminateWarrantResponse:
      type: object
      properties:
        warrantID:
          type: string
      required:
        - warrantID
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
